[RISCV] RISC-V GNU Toolchain Biweekly Sync-up call (Jan 27, 2022)

Matthias Klose doko@ubuntu.com
Thu Jan 27 16:18:47 GMT 2022


On 1/26/22 14:04, jiawei@iscas.ac.cn wrote:
> Hi all,
> 
> There is an agenda for tomorrow's meeting. If you have topics to
> discuss or share, please let me know and I can add them to the agenda.
> 
> Agenda:
> 
> 
> 
> 
> 
> - Bump GCC default ISA spec and got bug report[1] for that.

Tried to join the meeting, but it ended early apparently.

Using in Debian and Ubuntu binutils 2.38, I see then with GCC 11.2 warnings for
every link:

/usr/bin/ld: warning: /usr/lib/gcc/riscv64-linux-gnu/10/crtn.o: mis-matched ISA
version 2.0 for 'i' extension, the output version is 2.1
/usr/bin/ld: warning: /usr/lib/gcc/riscv64-linux-gnu/10/crtn.o: mis-matched ISA
version 2.0 for 'a' extension, the output version is 2.1
/usr/bin/ld: warning: /usr/lib/gcc/riscv64-linux-gnu/10/crtn.o: mis-matched ISA
version 2.0 for 'f' extension, the output version is 2.2
/usr/bin/ld: warning: /usr/lib/gcc/riscv64-linux-gnu/10/crtn.o: mis-matched ISA
version 2.0 for 'd' extension, the output version is 2.2

Are there any plans to backport the support for ISA 2.1/2.2 to GCC 11? Or do we
need to configure binutils to use 2.0 until the compiler is changed to GCC 12?

There's also no documentation about that change, at least in binutils. Should
that be mentioned in the release notes?

Thanks, Matthias


More information about the Gcc mailing list